maelstrom (1.4.3-L3.0.6+main-9) unstable; urgency=medium

  * QA upload.
  * Compat 11.
  * Rules-Requires-Root: yes.
  * Drop redundant B-Dep on autotools-dev.
  * Drop Debian menu.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:04:45 +0100

maelstrom (1.4.3-L3.0.6+main-8) unstable; urgency=medium

  * QA upload.
  * Include header to fix implicit pointer conversion
    in Maelstrom-netd.c, patch by Logan Rosen.

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Jan 2017 23:38:49 +0200

maelstrom (1.4.3-L3.0.6+main-7) unstable; urgency=medium

  * QA upload.
  * Use debhelper 9.
  * Switch to "3.0 (quilt)" source format.
  * prerm, postrm, postinst: Do not worry anymore about the /usr/doc
    to /usr/share/doc transition. Drop prerm completely.
  * postrm, postinst: Do not worry about menus, debhelper already does.
  * Do not use a different configure script to do "make install".
    Instead, pass an appropriate prefix option to the one used to compile.
  * As there is now only one modified configure script, put it in the usual
    place so that we can avoid moving it back and forth.
  * Do not embed calls to dpkg-buildflags in Makefile.in files.
    Instead, pass CFLAGS and related variables to configure script.
  * Try to be reproducible by using gzip -n and dh_fixperms.
  * Drop useless/unused debian/rules stuff.
  * Drop -fPIC. No libraries here.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Sep 2015 22:02:30 +0200

maelstrom (1.4.3-L3.0.6+main-6) unstable; urgency=low

  * orphan package

 -- Christoph Baumann <cgb@debian.org>  Mon, 22 Sep 2014 22:23:17 +0200

maelstrom (1.4.3-L3.0.6+main-5) unstable; urgency=low

  * further fix in postinst

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 22:15:24 +0200

maelstrom (1.4.3-L3.0.6+main-4) unstable; urgency=low

  * fix cleanup of old symlinks. Closes: #707840

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 00:47:05 +0200

maelstrom (1.4.3-L3.0.6+main-3) unstable; urgency=low

  * applied NMU diff by Steve McIntyre (see bug 678804)

 -- Christoph Baumann <cgb@debian.org>  Sat, 14 Jul 2012 22:49:04 +0200

maelstrom (1.4.3-L3.0.6+main-2) unstable; urgency=low

  * added -fPIC option for compilation of libraries

 -- Christoph Baumann <cgb@debian.org>  Mon, 02 Jul 2012 17:13:35 +0200

maelstrom (1.4.3-L3.0.6+main-1) unstable; urgency=low

  * fix several lintian bugs
    - Closes: #677029
    - Closes: #677030
    - Closes: #673442
    - Closes: #677034

 -- Christoph Baumann <cgb@debian.org>  Mon, 11 Jun 2012 14:34:45 +0200

maelstrom (1.4.3-L3.0.6+main-0+nmu1) unstable; urgency=low

  * NMU
  * Re-upload with faked new upstream to make sure the source all gets
    into main. Closes: #673442.

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Jun 2012 10:05:45 +0100

maelstrom (1.4.3-L3.0.6-11) unstable; urgency=low

  * fix several lintian bugs

 -- Christoph Baumann <cgb@debian.org>  Tue, 24 Apr 2012 23:51:29 +0200

maelstrom (1.4.3-L3.0.6-10) unstable; urgency=low

  * License of game art (graphics and sound) became free under CC (Closes: #668623)
  * Added .desktop file (Closes: #602308)
  * Updated upstream contact information

 -- Christoph Baumann <cgb@debian.org>  Mon, 16 Apr 2012 22:29:12 +0200

maelstrom (1.4.3-L3.0.6-9) unstable; urgency=low

  * maintainer upload

 -- Christoph Baumann <cgb@debian.org>  Thu, 12 Apr 2012 18:38:13 +0200

maelstrom (1.4.3-L3.0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bugs in debian/rules:
    - Fix bashism in clean commands, thanks to Angel Abad (Closes: #581483)
    - Remove more files in clean target
    - Don't ignore failure of 'rm' commands
  * Remove unneeded temporary files
  * Remove bogus build-dependency on build-essential

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 31 Dec 2010 19:45:53 +0000

maelstrom (1.4.3-L3.0.6-8) unstable; urgency=low

  * fixed some compiler warnings with gcc-4.3.2
  * fixed some lintian error/warnings

 -- Christoph Baumann <cgb@debian.org>  Fri, 1 Jan 2010 23:10:42 +0100

maelstrom (1.4.3-L3.0.6-7) unstable; urgency=low

  * added handling for SIGINT (Closes: #431234)

 -- Christoph Baumann <cgb@debian.org>  Tue, 3 Jul 2007 20:46:42 +0100
  
maelstrom (1.4.3-L3.0.6-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove build-dependency on xlibs-dev. (Closes: #346942)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 19:05:32 +0100

maelstrom (1.4.3-L3.0.6-6) unstable; urgency=low

  * added autotools-dev to Build-Depends  (closes: #325672)
  * Standards-Version set to 3.6.2

 -- Christoph Baumann <cgb@debian.org>  Wed, 31 Aug 2005 23:32:46 +0200

maelstrom (1.4.3-L3.0.6-5) unstable; urgency=low

  * fixed FTBFS on ppc64 (closes: #300389)
  * fixed symlink in /usr/doc (closes: #322792)
  * recompiled with newer gcc-3.3.5, gcc-4.0 not available on sarge (closes: #321196)

 -- Christoph Baumann <cgb@debian.org>  Tue, 23 Aug 2005 22:22:49 +0200

maelstrom (1.4.3-L3.0.6-4) unstable; urgency=low

  * fixed FTBFS with gcc-4.0 on AMD64 (closes: Bug#294450)

 -- Christoph Baumann <cgb@debian.org>  Fri, 11 Feb 2004 00:13:42 +0100

maelstrom (1.4.3-L3.0.6-3) unstable; urgency=low

  * fixed FTBFS with gcc-3.4 (closes: Bug#260500)

 -- Christoph Baumann <cgb@debian.org>  Tue, 24 Aug 2004 00:31:05 +0100

maelstrom (1.4.3-L3.0.6-2) unstable; urgency=low

  * fixed security issues concerning buffer overflows (closes: Bug#255434)

 -- Christoph Baumann <cgb@debian.org>  Tue,  3 Aug 2004 23:32:15 +0100

maelstrom (1.4.3-L3.0.6-1) unstable; urgency=low

  * new upstream version (closes: Bug#252235)
  * don't use suidmanagear any more (closes: Bug#237962)

 -- Christoph Baumann <cgb@debian.org>  Wed, 30 Jun 2004 00:41:34 +0100
	
maelstrom (1.4.3-L3.0.5-3) unstable; urgency=low

  * fixed some lintian errors and the /usr/doc symlink (closes: Bug#129396)

 -- Christoph Baumann <cgb@debian.org>  Thu, 17 Jan 2002 20:55:43 +0100

maelstrom (1.4.3-L3.0.5-2) unstable; urgency=low

  * recompiled against libsdl1.2debian (closes: Bug#125723)

 -- Christoph Baumann <cgb@debian.org>  Fri, 21 Dec 2001 22:33:33 +0100

maelstrom (1.4.3-L3.0.5-1) unstable; urgency=low

  * initial release with new source
  * (closes: Bug#112893)
  * (closes: Bug#76132)

 -- Christoph Baumann <cgb@debian.org>  Sat, 15 Dec 2001 17:27:28 +0100

maelstrom (1.4.3-L3.0.1-8) unstable; urgency=low

  * fixing postinst script to handle upgrades (closes: Bug#121381) 

 -- Christoph Baumann <cgb@debian.org>  Tue,  28 Nov 2001 20:18:15 +0200

maelstrom (1.4.3-L3.0.1-7) unstable; urgency=low

  * moving to /var/games (closes: Bug#115845)

 -- Christoph Baumann <cgb@debian.org>  Sun,  25 Nov 2001 19:06:08 +0200

maelstrom (1.4.3-L3.0.1-6) unstable; urgency=low

  * give handle_underscores a +x before building (closes: Bug#82344)
  * changed MANDIR to /usr/share/man (closes: Bug#91207)  

 -- Christoph Baumann <cgb@debian.org>  Mon,  28 May 2001 16:35:53 +0200

maelstrom (1.4.3-L3.0.1-5) unstable; urgency=low

  * corrected a silly mistake with the manpage 

 -- Christoph Baumann <cgb@debian.org>  Thu,  29 Mar 2001 16:35:53 +0200

maelstrom (1.4.3-L3.0.1-4) unstable; urgency=low
  
  * inserted some lines to debian/rules to delete rubbish in debian/ and ./
 
 -- Christoph Baumann <cgb@debian.org>  Thu,  16 Jan 2001 11:55:53 +0200

maelstrom (1.4.3-L3.0.1-3) unstable; urgency=low
  
  * included symlink from /usr/doc/maelstrom to /usr/share/doc/maelstrom
 
 -- Christoph Baumann <cgb@debian.org>  Thu,  6 Jul 2000 18:14:51 +0200

maelstrom (1.4.3-L3.0.1-2) unstable; urgency=low
  
  * changed permissions for executable to 2755 

 -- Christoph Baumann <cgb@debian.org>  Fri, 21 Apr 2000 16:43:41 +0200
  
maelstrom (1.4.3-L3.0.1-1) unstable; urgency=low
  
  * completely new source based on SDL
  
 -- Christoph Baumann <cgb@debian.org>  Tue, 21 Mar 2000 01:11:38 +0200
  
maelstrom (1.4.3-L2.0.6-12) unstable; urgency=low
  
  * did some debuging, i.e. changed some (meanwhile?) wrong declarations
    to solve errors during compilation. The changed files are:
    - fastrand.cpp
    - mixer-dma.h
    - mixer-dma.cpp
    - netlogic/netplay.cpp
    - vga_framebuf.h
    maelstrom should now compile on potato

 -- Christoph Baumann <cgb@debian.org>  Fri, 17 Dec 1999 21:06:36 +0200

maelstrom (1.4.3-L2.0.6-11) unstable; urgency=low

  * myerror.cpp: had to include 'string.h' to avoid an 'implicit declaration'
    caused by the call of the undeclared function 'strerror' which is
    normaly declared in 'string.h'

 -- Christoph Baumann <cgb@debian.org>  Wed, 17 Nov 1999 16:35:12 +0200

maelstrom (1.4.3-L2.0.6-10) unstable; urgency=low

  * Had to jump to revision number 10 to correct some mistakes made with the 
    last upload (entry for rev.no. 9 is more or less bogus)

 -- Christoph Baumann <cgb@debian.org>  Tue, 9 Nov 1999 16:15:12 +0200

maelstrom (1.4.3-L2.0.6-9) unstable; urgency=low

  * Added some information to debian/copyright

 -- Christoph Baumann <cgb@debian.org>  Tue, 2 Nov 1999 15:42:12 +0200

maelstrom (1.4.3-L2.0.6-8) unstable; urgency=low

  * Maintainer changed
  * (debian/rules)
    Changed DOCDIR to /usr/share/doc/maelstrom, according to the policy    

 -- Christoph Baumann <cgb@debian.org>  Fri, 29 Oct 1999 15:31:12 +0200

maelstrom (1.4.3-L2.0.6-7) unstable; urgency=low

  * (debian/config-i386, debian/config-other)
    Compile with USE_JOYSTICK, since it's harmless when there is no
    joystick present, and activates joystick support for those who have it.
    Thanks to Tom Lear for pointing this out.
  * (debian/rules)  Also install README.joystick.
  * (debian/postrm)  Use = instead of == in test (avoids bashism), pointed
    out by Joey Hess.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 11 Jun 1998 00:12:08 +0200

maelstrom (1.4.3-L2.0.6-6) unstable; urgency=low

  * Better scorefile handling:
      - Don't make score file a conffile, and don't include it
        in the package directly.
      - Install Maelstrom's two default scorefiles in /usr/lib/games/maelstrom.
      - In the postinst, check if the score directory exists and install
        it if not.  Create it with mode 2775, group games.  Then check if
        the scorefile exists.  If not, copy the "high" default to that
        location and set it to mode 664, group games.
      - In the postrm, remove the scorefile and score directory if the
        argument is "purge".
      - Don't include the directory in the package itself, to avoid
        dpkg warnings when it tries to remove the directory while leaving
        the scorefile.
  * Upstream "high" scorefile is broken.  Install a fixed version.
    It's uuencoded in the Debian diffs.

 -- Richard Braakman <dark@xs4all.nl>  Thu,  5 Mar 1998 02:44:24 +0100

maelstrom (1.4.3-L2.0.6-5) unstable; urgency=low

  * debian/copyright: Describe Debian-specific patches (Policy, 5.6)
  * debian/rules: Added hackery to depend on svgalibg1 | svgalib-dummyg1,
    even if svgalibg1 does not list svgalib-dummyg1 in its shlibs file.
    (cf. http://www.debian.org/Lists-Archives/debian-devel-9710/msg00685.html)
  * debian/rules: install /var/lib/games/maelstrom/ directory as a normal
    755 directory, rather than 775 and owned by games.  Maelstrom can't
    recreate its scorefile anyway if it's gone.  The scorefile is still
    owned and writeable by games.
  * Moved Maelstrom_sound and Maelstrom_sound.dma to /usr/lib/games/maelstrom/.
  * Removed manpage symlink for Maelstrom_sound.
  * Changed debian/rules to not call upstream install target.
  
 -- Richard Braakman <dark@xs4all.nl>  Wed, 11 Feb 1998 18:27:25 +0100

maelstrom (1.4.3-L2.0.6-4) unstable; urgency=low

  * Install Maelstrom_sound.dma for people who want it.
  * Include Section and Priority fields in binary package.
  * README.Debian: Clearer text about using the mouse in svga mode.
  * Standards-Version 2.4.0.0. 
  * Previous version did not list scorefile as conffile.  Oops, sorry.
  * Use -p flag when installing documentation.

 -- Richard Braakman <dark@xs4all.nl>  Sat,  7 Feb 1998 12:45:45 +0100

maelstrom (1.4.3-L2.0.6-3) unstable; urgency=low

  * Rewrote rules file (no longer used debstd).
  * Now compresses changelog.Debian

 -- Richard Braakman <dark@xs4all.nl>  Fri, 28 Nov 1997 00:26:57 +0100

maelstrom (1.4.3-L2.0.6-2) unstable; urgency=low

  * Worked around new sgid-dropping code in svgalibg1-1.2.11,
    to preserve games id.
  * Added line about mice and svgalib to README.debian

 -- Richard Braakman <dark@xs4all.nl>  Sat, 18 Oct 1997 15:09:57 +0200

maelstrom (1.4.3-L2.0.6-1) unstable; urgency=low

  * Check for i386 before setting USE_SVGALIB
  * Added menu entry
  * Moved to non-free (see copyright file)
  * Repackaged for standards-version 2.3.0.0
  * Compiled for libc6, xlib6g, xpm4g
  * Pristine source
  * New upstream version
  * Gave reasons for suid and sgid settings in README.debian
  * New maintainer

 -- Richard Braakman <dark@xs4all.nl>  Fri, 19 Sep 1997 12:19:48 +0200
